Subject: Re: [PATCH v4] t7201: put each command on a separate line

From: Taylor Blau <[email-masked]>
Date: Tue, 20 Oct 2020 16:30:24 -0400

On Tue, Oct 20, 2020 at 01:25:33PM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
> > When I applied this locally, I used this patch as a replacement for the
> > last patch of v3 [1]. That kept everything passing after each patch.
>
> Oh, so this is a replacement for 5/5 and 1-4/5 of v4 are supposed to
> be identical to those from v3?  The difference between [v3 5/5] and
> this one is a single typofix on the subject line, it seems, though.

Yes, at least that's what I interpreted it as (and how I applied it when
testing). I'd like to hear from the author to make sure.

(As an aside to the author, I often fall into the trap of thinking that
it will be easier to send a single replacement patch which will generate
less email, but--as you can see--it is often more complicated for
reviewers and the maintainer to decipher what's going on. It's often
just easier to re-submit the entire series and include in your cover
letter "this is unchanged from v(n-1) except for ...").

> >> As you've demonstrated through the microproject that you can now
> >> comfortably be involved in the review discussion, I am tempted to
> >> suggest that we declare victory at this point and move on, but I
> >> don't know what the plans are for the other 4 patches (I guess we
> >> won't miss them that much---the micros are meant to be practice
> >> targets).
> >
> > Yup, ditto.
>
> As [v4] single patch won't apply standalone, we cannot quite declare
> the victory yet.  Are [v3 1-5/5] (or [v3 1-4/5] + [v4]) good to the
> reviewers of the past rounds?

For what it's worth, I'm happy with [v3 1-4/5] + [v4].

Thanks,
Taylor